# usage:
#        > gnuplot
# gnuplot> call 'coll.gp' 'inputData.dat' 'outputFile.pdf'
#
#######################################################################
#   HA graphs
#######################################################################
rad2as = 2.0626480624709635e5
tacv2as = 596.8310658
#
set term postscript portrait color solid 07
set output "coll.ps"
set size 1.0, 1.0
set origin 0.0, 0.0
set multiplot
set style data lines

# Apos Position
set size 1.00,0.50
set origin 0.0,0.50
set title "Actual Position $0 " 
set xlabel "Seconds"
set ylabel "Volts"
set yrange [*:*]
plot "$0" using 1:38 title "NS apos",\
     "$0" using 1:39 title "EW apos",\
     "$0" using 1:40 title "focus apos"

# N/S DIO #
set size 1.00,0.15
set origin 0.0,0.30
set title "NS Collimation"
set xlabel "Seconds"
set ylabel "IO"
set yrange [-1:2]
plot "$0" using 1:41 title "N", \
     "$0" using 1:42 title "S"

# N/S DIO #
set size 1.00,0.15
set origin 0.0,0.15
set title "EW Collimation"
set xlabel "Seconds"
set ylabel "IO"
set yrange [-1:2]
plot "$0" using 1:43 title "E", \
     "$0" using 1:44 title "W"

# FOCUS DIO #
set size 1.00,0.15
set origin 0.0,0.00
set title "Focus"
set xlabel "Seconds"
set ylabel "IO"
set yrange [-1:2]
plot "$0" using 1:45 title "In", \
     "$0" using 1:46 title "Out"

unset multiplot

#########################################################
##  Merge ps files & convert to pdf.
#########################################################

! exec gs -dNOPAUSE -sDEVICE=pdfwrite -sOUTPUTFILE="$1" -dBATCH coll.ps 
! rm coll.ps 
