# usage:
#        > gnuplot
# gnuplot> call 'dec1.gp' 'inputData.dat' 'outputFile.pdf'
#
set term postscript portrait color solid 07
set output "dec1Temp.ps"
set size 1.0, 1.0
set origin 0.0, 0.0
set multiplot
rad2as = 2.0626480624709635
set style data lines

# plot Position
set size 0.85,0.20
set origin 0.0,0.80
set title "Dec Position"
set xlabel "Seconds"
set ylabel "ArcSeconds"
plot "$0" using 1:($$5*rad2as) title "Virtual",\
     "$0" using 1:($$12*rad2as) title "Desired",\
     "$0" using 1:($$18*rad2as) title "Actual"

# plot Velocity #
set size 0.85,0.20
set origin 0.0,0.60
set title "Dec Velocity"
set xlabel "Seconds"
set ylabel "ArcSec/sec"
#set yrange [-10:10]
plot "$0" using 1:($$14) title "Rtcs",\
     "$0" using 1:($$20) title "Motor"

# plot Following Error #
set size 0.85,0.20
set origin 0.0,0.4
set title "Dec Following Error"
set xlabel "Seconds"
set ylabel "ArcSeconds"
plot "$0" using 1:(($$12 - $$16)*rad2as) title "Rtcs", \
     "$0" using 1:(($$16 - $$18)*rad2as) title "Motor"

# plot DAC Values #
set size 0.85,0.20
set origin 0.0,0.2
set title "Dec DAC Values"
set xlabel "Seconds"
set ylabel "Volts"
plot "$0" using 1:($$27) title "West", \
     "$0" using 1:($$28) title "East"

# plot TAC Values
set size 0.85,0.20
set origin 0.0,0.0
set title "Dec TAC Values"
set xlabel "Seconds"
set ylabel "Volts"
plot "$0" using 1:($$24) title "Motor"

unset multiplot

! exec ps2pdf "dec1Temp.ps" "$1"
! rm "dec1Temp.ps"
