# usage:
#        > gnuplot
# gnuplot> call 'ha1.gp' 'inputData.dat' 'outputFile.pdf'
#
set term postscript portrait color solid 07
set output "ha1Temp.ps"
set size 1.0, 1.0
set origin 0.0, 0.0
set multiplot
rad2as = 2.0626480624709635
set style data lines

# plot Position
set size 0.7,0.20
set origin 0.0,0.80
set title "HA Position"
set xlabel "Seconds"
set ylabel "ArcSeconds"
plot "$0" using 1:($$4*rad2as) title "Virtual",\
     "$0" using 1:($$11*rad2as) title "Desired",\
     "$0" using 1:($$17*rad2as) title "Actual"
# plot Velocity #
set size 0.7,0.20
set origin 0.0,0.60
set title "HA Velocity"
set xlabel "Seconds"
set ylabel "ArcSec/sec"
#set yrange [-10:10]
plot "$0" using 1:($$13) title "Rtcs",\
     "$0" using 1:($$19) title "Motor"

# plot Following Error #
set size 0.7,0.20
set origin 0.0,0.4
set title "HA Following Error"
set xlabel "Seconds"
set ylabel "ArcSeconds"
plot "$0" using 1:(($$11 - $$15)*rad2as) title "Rtcs", \
     "$0" using 1:(($$15 - $$17)*rad2as) title "Motor"

# plot DAC Values #
set size 0.7,0.20
set origin 0.0,0.2
set title "HA DAC Values"
set xlabel "Seconds"
set ylabel "Volts"
plot "$0" using 1:($$25) title "West", \
     "$0" using 1:($$26) title "East"

# plot TAC Values
set size 0.7,0.20
set origin 0.0,0.0
set title "HA TAC Values"
set xlabel "Seconds"
set ylabel "Volts"
plot "$0" using 1:($$23) title "Motor"

unset multiplot

! exec ps2pdf "ha1Temp.ps" "$1"
! rm "ha1Temp.ps"
