set term postscript portrait color solid 07
set output "graph1.ps"

set size 1.0, 1.0
set origin 0.0, 0.0
set multiplot
set style data lines
#
# plot ra error
#
set size 0.85,0.20
set origin 0.0,0.80
set title "RA Error"
set xlabel "index"
set ylabel "Error in AS"
plot 'bm1_diff.dat' using :9 title "bm1",  \
     'bm2_diff.dat' using :9 title "bm2"
#
# plot dec error
#
set size 0.85,0.20
set origin 0.0,0.60
set title "Dec Error"
set xlabel "index"
set ylabel "Error in AS"
plot 'bm1_diff.dat' using :10 title "bm1", \
     'bm2_diff.dat' using :10 title "bm2"
#
#
set size 0.85,0.20
set origin 0.0,0.40
set title "Dist Error"
set xlabel "index"
set ylabel "Error in AS"
plot 'bm1_diff.dat' using :11  title "bm1", \
     'bm2_diff.dat' using :11 title "bm2"

#
#
set size 0.85,0.20
set origin 0.0,0.20
set title "HA Error as a function of RA for benchmark2"
set xlabel "RA"
set ylabel "Error in AS"
set style data points
plot 'bm1_diff.dat' using 5:9  title "bm2" 
#
#
set size 0.85,0.20
set origin 0.0,0.00
set title "Dec Error as a function of Dec for benchmark2"
set xlabel "Dec"
set ylabel "Error in AS"
set style data points
plot 'bm1_diff.dat' using 6:10 title "bm2" 
#
unset multiplot
! exec gs -dNOPAUSE -sDEVICE=pdfwrite -sOUTPUTFILE=graph1.pdf  -dBATCH graph1.ps
