# usage:
#        > gnuplot
# gnuplot> call 'ape.gp' 'inputData.dat' 'outputFile.pdf'
#
#######################################################################
#   HA graphs
#######################################################################
rad2as = 2.0626480624709635e5
#
set term postscript portrait color solid 07
set output "ape.ps"
set size 1.0, 1.0
set origin 0.0, 0.0
set multiplot
set style data lines

# graph 1 
set size 1.00,0.33
set origin 0.0,0.66
set title "Different over time $0 " 
set xlabel "TIME"
set ylabel "mount-ape (AS)"
plot "$0" using ($$7*rad2as) title "HA",\
     "$0" using ($$8*rad2as) title "Dec"

# graph2
set size 1.00,0.33
set origin 0.0,0.33
set title "Different over vs position $0 " 
set xlabel "position (Rad)"
set ylabel "mount-ape (AS)"
plot "$0" using 3:($$7*rad2as) title "HA",\
     "$0" using 4:($$8*rad2as) title "Dec"

# graph 3
set size 1.00,0.33
set origin 0.0,0.0
set title "Telescope path"
set xlabel "HA"
set ylabel "DEC"
plot "$0" using 3:4 title "HA"

unset multiplot

#########################################################333
##  Merge ps files & convert to pdf.
#########################################################333

! exec gs -dNOPAUSE -sDEVICE=pdfwrite -sOUTPUTFILE="$1" -dBATCH ape.ps 
! rm ape.ps
