/*
**
** you can compare b1 vs b2 by get status on madj data.
**
**
*/
#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <stdarg.h>
#include <math.h>
#include <sched.h>


void d_stats_p1( double *r_min, double *r_max, double *r_mean, double *data, const int n );
void d_stats_p2( double * r_std,  double * data, const double mean, const int n );


int main( void )
{
  double min, max, mean, std;
  int n;

  double b1_h[] = { 
   104.86, 106.86, 84.36, 74.86, 103.86, 99.86, 113.86, 
   104.36, 69.36, 108.86, 105.86, 86.86, 66.86 
  };
  double b1_d[] = { 
    -12.47, -7.97, -2.97, -12.47, -32.47, -27.47,
   -5.47, -18.97, -65.47, -58.47, -32.47, -40.47, -62.47
  };
  double b2_h[] = { 
   53.34, 65.34, 50.84, 25.84, 48.34, 11.84,
    8.84, 15.84, 9.34, 43.34, 6.84, 19.16, 5.84
  };
  double b2_d[] = { 
     2.85, 13.35, 10.35, 2.85, -11.15, -1.15,
     -0.65, -8.65, -35.15, -27.65, -16.15, -35.65, -42.65
  };


  n = sizeof(b1_h)/sizeof(double);
  d_stats_p1( &min, &max, &mean, b1_h, n);
  d_stats_p2( &std, b1_h, mean, n);
  printf("b1_h n=%d min=%f max=%f range=%f  mean=%f  std=%f \n", n, min, max, max-min, mean, std);

  n = sizeof(b2_h)/sizeof(double);
  d_stats_p1( &min, &max, &mean, b2_h, n);
  d_stats_p2( &std, b2_h, mean, n);
  printf("b2_h n=%d min=%f max=%f range=%f  mean=%f  std=%f \n", n, min, max, max-min, mean, std);

  n = sizeof(b1_d)/sizeof(double);
  d_stats_p1( &min, &max, &mean, b1_d, n);
  d_stats_p2( &std, b1_d, mean, n);
  printf("b1_d n=%d min=%f max=%f range=%f  mean=%f  std=%f \n", n, min, max, max-min, mean, std);

  n = sizeof(b2_d)/sizeof(double);
  d_stats_p1( &min, &max, &mean, b2_d, n);
  d_stats_p2( &std, b2_d, mean, n);
  printf("b2_d n=%d min=%f max=%f range=%f  mean=%f  std=%f \n", n, min, max, max-min, mean, std);

  return 0;
}
  
/*---------------------------------------------------------------
** d_stats_p1() -  stats pass 1. Find min, max, mean.
**---------------------------------------------------------------
*/
void d_stats_p1(
   double *r_min,    // return min value
   double *r_max,    // return max value
   double *r_mean,   // return the mean
   double *data,     // data array
   const int n      // number of elements in array
)
{
   int i;
   double min, max;
   double sum;

   min = data[0];
   max = data[0];
   sum = 0;
   for( i=0; i<n; i++ )
   {
      if( min > data[i] ) min = data[i];
      if( max < data[i] ) max = data[i];
      sum += data[i];
   }

   *r_min  = min;
   *r_max  = max;
   *r_mean = sum / n;
}

/*---------------------------------------------------------------
** d_stats_p2() -  stats pass 2. Given the mean, find the std dev.
**---------------------------------------------------------------
*/

void d_stats_p2(
   double * r_std,     // return std
   double * data,      // array of data value
   const double mean,  // mean value
   const int n        // number of data values
)
{
   int i;
   double d, sum, std;

   std = 0;
   sum = 0;

   for( i=0; i<n; i++ )
   {
      d = data[i] - mean;
      sum += (d*d);
   }

   if( n > 1 )
      std = sqrt( sum / (n-1));

   *r_std = std;
}


